import { Filter, Sort } from "@sankhyalabs/core";
import { CommonsExporter, IExporterProvider } from "../interfaces/IExporterProvider";
import { IRecordID } from "../interfaces/IRecordID";
export default class ServerSideExporterProvider extends CommonsExporter implements IExporterProvider {
  getFilters(): Array<Filter>;
  getOrders(): Array<Sort>;
  getResourceURI(): string;
  getSelectedNumber(): number;
  getTotalRecords(): number;
  getSelectedIDs(): Array<IRecordID>;
  getOffset(): number;
  getPageSize(): number;
  getExportLimit(): number;
  getRecordID(): string;
  private getPaginationInfo;
  private getExporterOffset;
}
